Bug 1158828 - free output has changed
Summary: free output has changed
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: procps-ng
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-30 10:22 UTC by Branislav Blaškovič
Modified: 2016-02-01 02:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-31 07:10:29 UTC


Attachments (Terms of Use)

Description Branislav Blaškovič 2014-10-30 10:22:58 UTC
Description of problem:
  /bin/free has changed its output from f20 to f21. Why is that? There is missing line '-/+ buffers/cache:'

Version-Release number of selected component (if applicable):
  procps-ng-3.3.10-4.fc21.x86_64

Actual results:
              total        used        free      shared  buff/cache   available
Mem:          15738        2070        6466          81        7201       13283
Swap:          7877           0        7877


Expected results:
             total       used       free     shared    buffers     cached
Mem:          1841       1737        103         95         84        313
-/+ buffers/cache:       1338        502
Swap:         2063        192       1871

Comment 1 Jaromír Cápík 2014-10-30 15:09:42 UTC
Ahoj Branislave.

The -/+ buffers/cache line lost sense with the recent modifications/additions and has been removed intentionally. The value reported as 'used' now excludes buffers and caches and therefore is equal to the previously reported '-' value and the value reported in the 'available' column is a correct/better replacement for the previously reported '+' value, that was marked as misleading and according to the kernel people, it was reinforcing a misconception that memory in the page cache can be considered free.

If you have more questions, don't hesitate to ask. Otherwise I'll close this report as NOTABUG.

Thanks,
Jaromir.

Comment 2 Branislav Blaškovič 2014-10-31 07:10:29 UTC
Thank you for explanation.


Note You need to log in before you can comment on or make changes to this bug.